GaussHyperbolicIntegration Class Reference

Gauss-Hyperbolic integration. More...

`#include <ql/math/integrals/gaussianquadratures.hpp>`

Inheritance diagram for GaussHyperbolicIntegration:
[legend]

## Public Member Functions

| GaussHyperbolicIntegration (Size n)
Public Member Functions inherited from GaussianQuadrature
| GaussianQuadrature (Size n, const GaussianOrthogonalPolynomial &p)
template<class F >
Real | operator() (const F &f) const
Size | order () const
const Array & | weights ()
const Array & | x ()

## Additional Inherited Members

Protected Attributes inherited from GaussianQuadrature
Array | x_
Array | w_

## Detailed Description

Gauss-Hyperbolic integration.

This class performs a 1-dimensional Gauss-Hyperbolic integration.

\[ \int_{-\inf}^{\inf} f(x) \mathrm{d}x \]

The weighting function is

\[ w(x)=1/cosh(x) \]